import { act, render, screen } from '@testing-library/react'
import userEvent from '@testing-library/user-event'
import React from 'react'
import ExportDoneModal from './exportDoneModal'

describe('exportDoneModal component', () => {
  it('should be rendered correctly', () => {
    const { baseElement } = render(
      <ExportDoneModal open={true} error={false} handleCloseClick={jest.fn()} />
    )
    expect(baseElement).toMatchSnapshot()
  })

  it('should display error message', () => {
    const { baseElement } = render(
      <ExportDoneModal open={true} error={true} handleCloseClick={jest.fn()} />
    )
    expect(baseElement).toMatchSnapshot()
  })

  it('should close modal', async () => {
    const mockHandleClose = jest.fn()
    render(
      <ExportDoneModal
        open={true}
        error={false}
        handleCloseClick={mockHandleClose}
      />
    )
    await act(async () => {
      await userEvent.click(screen.getByText('export.modal_done.button_close'))
    })
    expect(mockHandleClose).toHaveBeenCalledTimes(1)
  })
})
