import logos from 'assets/png/logos_partenaires.svg'
import Content from 'components/Content/Content'
import CozyBar from 'components/Header/CozyBar'
import Header from 'components/Header/Header'
import { useI18n } from 'cozy-ui/transpiled/react/providers/I18n'
import React from 'react'
import AccessibilityLink from './AccessibilityLink/AccessibilityLink'
import ExportData from './ExportData/ExportData'
import GCULink from './GCU/GCULink'
import HelpLink from './HelpLink/HelpLink'
import LegalNoticeLink from './LegalNotice/LegalNoticeLink'
import MatomoOptOut from './MatomoOptOut/MatomoOptOut'
import './OptionsView.scss'
import ProfileTypeOptions from './ProfileTypeOptions/ProfileTypeOptions'
import ReportOptions from './ReportOptions/ReportOptions'
import Version from './Version/Version'

/**
 * http://ecolyo.cozy.tools:8080/#/options
 */
const OptionsView = () => {
  const { t } = useI18n()

  return (
    <>
      <CozyBar titleKey="common.title_options" />
      <Header desktopTitleKey="common.title_options" />
      <Content>
        <div className="options-root">
          <div>
            <ProfileTypeOptions />
            <ExportData />
          </div>
          <ReportOptions />
          <HelpLink />
          <div className="info-links">
            <LegalNoticeLink />
            <GCULink />
            <AccessibilityLink />
          </div>
          <MatomoOptOut />
        </div>
        <div className="parameters-logos">
          <img src={logos} alt={t(`common.funders_logo`)} />
        </div>
        <Version />
      </Content>
    </>
  )
}

export default OptionsView
