import { EquipmentType, FluidType, Room, Season, Usage } from 'enums'

export interface Ecogesture {
  id: string
  shortName: string
  longName: string
  longDescription: string
  usage: Usage
  fluidTypes: FluidType[]
  impactLevel: number
  efficiency: number
  difficulty: number
  room: Room[]
  season: Season
  equipment: boolean
  equipmentType: EquipmentType[]
  equipmentInstallation: boolean
  investment: string | null
  action: boolean
  actionName: string | null
  actionDuration: number
  objective: boolean
  doing: boolean
  viewedInSelection: boolean
  _id: string
  _rev?: string
  _type?: string
  /** computed value with efficiency, difficulty and current season */
  score?: number
}
