import { DataloadState } from 'enums'
import { DateTime } from 'luxon'
import { Datachart, Dataload } from 'models'

export const graphData: Datachart = {
  actualData: [
    {
      date: DateTime.fromISO('2020-10-01T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-02T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 61.65554999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 40.21918999999999, state: DataloadState.VALID },
        { value: 0.8064649999999999, state: DataloadState.VALID },
        { value: 20.629894999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-03T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: -1,
      state: DataloadState.EMPTY,
      valueDetail: null,
    },
  ],
  comparisonData: [
    {
      date: DateTime.fromISO('2020-09-01T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 54.090509999999995,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 35.284358, state: DataloadState.VALID },
        { value: 0.707513, state: DataloadState.VALID },
        { value: 18.098639, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-09-02T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 56.57427,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 36.904565999999996, state: DataloadState.VALID },
        { value: 0.740001, state: DataloadState.VALID },
        { value: 18.929703, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-09-03T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: -1,
      state: DataloadState.EMPTY,
      valueDetail: null,
    },
  ],
}
export const baseDataLoad: Dataload = {
  date: DateTime.fromISO('2021-09-23T00:00:00.000Z', {
    zone: 'utc',
  }),
  value: 12,
  state: DataloadState.VALID,
  valueDetail: null,
}
export const baseMultiFluidDataLoad: Dataload = {
  date: DateTime.fromISO('2021-09-23T00:00:00.000Z', {
    zone: 'utc',
  }),
  value: 12,
  state: DataloadState.AGGREGATED_VALID,
  valueDetail: [
    { value: 6, state: DataloadState.VALID },
    { value: 4, state: DataloadState.VALID },
    { value: 2, state: DataloadState.VALID },
  ],
}
export const dataLoadArray: Dataload[] = [
  {
    date: DateTime.fromISO('2021-09-23T00:00:00.000Z', {
      zone: 'utc',
    }),
    value: 12,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2021-09-24T00:00:00.000Z', {
      zone: 'utc',
    }),
    value: 12,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2021-09-25T00:00:00.000Z', {
      zone: 'utc',
    }),
    value: 12,
    state: DataloadState.VALID,
    valueDetail: null,
  },
  {
    date: DateTime.fromISO('2021-09-26T00:00:00.000Z', {
      zone: 'utc',
    }),
    value: 12,
    state: DataloadState.VALID,
    valueDetail: null,
  },
]

export const graphMonthData: Datachart = {
  actualData: [
    {
      date: DateTime.fromISO('2020-09-01T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-01T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 61.65554999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 40.21918999999999, state: DataloadState.VALID },
        { value: 0.8064649999999999, state: DataloadState.VALID },
        { value: 20.629894999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-11-01T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: -1,
      state: DataloadState.AGGREGATED_EMPTY,
      valueDetail: null,
    },
  ],
  comparisonData: [
    {
      date: DateTime.fromISO('2020-09-01T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 54.090509999999995,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 35.284358, state: DataloadState.VALID },
        { value: 0.707513, state: DataloadState.VALID },
        { value: 18.098639, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-09-02T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 56.57427,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 36.904565999999996, state: DataloadState.VALID },
        { value: 0.740001, state: DataloadState.VALID },
        { value: 18.929703, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-09-03T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: -1,
      state: DataloadState.AGGREGATED_EMPTY,
      valueDetail: null,
    },
  ],
}

export const fullMonthGraphData: Datachart = {
  actualData: [
    {
      date: DateTime.fromISO('2020-10-01T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-02T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 61.65554999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 40.21918999999999, state: DataloadState.VALID },
        { value: 0.8064649999999999, state: DataloadState.VALID },
        { value: 20.629894999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-03T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-04T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-05T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-06T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-04T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-05T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-06T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-07T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-08T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-09T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-10T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-11T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-12T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-13T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-14T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-15T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-16T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-17T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-18T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-19T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-20T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-21T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-22T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-23T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-24T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-25T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-26T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-27T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-28T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-29T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-30T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-31T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
  ],
  comparisonData: null,
}

export const fullGraphData: Datachart = {
  actualData: [
    {
      date: DateTime.fromISO('2020-10-01T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-02T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 61.65554999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 40.21918999999999, state: DataloadState.VALID },
        { value: 0.8064649999999999, state: DataloadState.VALID },
        { value: 20.629894999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-03T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-04T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-05T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-10-06T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 69.18029999999999,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 45.127739999999996, state: DataloadState.VALID },
        { value: 0.9048899999999999, state: DataloadState.VALID },
        { value: 23.147669999999998, state: DataloadState.VALID },
      ],
    },
  ],
  comparisonData: [
    {
      date: DateTime.fromISO('2020-09-01T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 54.090509999999995,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 35.284358, state: DataloadState.VALID },
        { value: 0.707513, state: DataloadState.VALID },
        { value: 18.098639, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-09-02T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 56.57427,
      state: DataloadState.AGGREGATED_VALID,
      valueDetail: [
        { value: 36.904565999999996, state: DataloadState.VALID },
        { value: 0.740001, state: DataloadState.VALID },
        { value: 18.929703, state: DataloadState.VALID },
      ],
    },
    {
      date: DateTime.fromISO('2020-09-03T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: -1,
      state: DataloadState.AGGREGATED_EMPTY,
      valueDetail: null,
    },
  ],
}
