import { DataloadState } from 'enums'
import { DateTime } from 'luxon'
import { MaxPowerEntity } from 'models'
import {
  AggregatedEnedisMonthlyDataloads,
  EnedisMonthlyAnalysisData,
} from 'models/enedisMonthlyAnalysis'

export const mockEnedisMonthlyAnalysis: EnedisMonthlyAnalysisData = {
  weekDaysHalfHourAverageValues: [0.35, 0.34, 0.33, 0.32, 0.31, 0.3],
  weekEndDaysHalfHourAverageValues: [0.25, 0.24, 0.23, 0.22, 0.21, 0.2],
  month: 11,
  year: 2021,
  minimumLoad: 3,
  maxPower: 2,
  offPeakHoursRatio: null,
}

export const mockEnedisMonthlyAnalysisArray: EnedisMonthlyAnalysisData[] = [
  {
    weekDaysHalfHourAverageValues: [0.35, 0.34, 0.33],
    weekEndDaysHalfHourAverageValues: [0.25, 0.24, 0.23],
    month: 11,
    year: 2021,
    minimumLoad: 3,
    maxPower: 2,
    offPeakHoursRatio: null,
  },
  {
    weekDaysHalfHourAverageValues: [0.35, 0.34, 0.33, 0.32, 0.31, 0.3],
    weekEndDaysHalfHourAverageValues: [0.25, 0.24, 0.23, 0.22, 0.21, 0.2],
    month: 10,
    year: 2021,
    minimumLoad: 3,
    maxPower: 2,
    offPeakHoursRatio: null,
  },
  {
    weekDaysHalfHourAverageValues: [0.35, 0.34, 0.33, 0.32, 0.31, 0.3],
    weekEndDaysHalfHourAverageValues: [0.25, 0.24, 0.23, 0.22, 0.21, 0.2],
    month: 8,
    year: 2021,
    minimumLoad: 3,
    maxPower: 2,
    offPeakHoursRatio: null,
  },
  {
    weekDaysHalfHourAverageValues: [0.35, 0.34, 0.33, 0.32, 0.31, 0.3],
    weekEndDaysHalfHourAverageValues: [0.25, 0.24, 0.23, 0.22, 0.21, 0.2],
    month: 7,
    year: 2021,
    minimumLoad: 3,
    maxPower: 2,
    offPeakHoursRatio: null,
  },
]

export const mockDataLoadEnedisAnalysis: AggregatedEnedisMonthlyDataloads = {
  week: [
    {
      date: DateTime.fromISO('2021-11-01T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 0.35,
      state: DataloadState.VALID,
      valueDetail: null,
    },
    {
      date: DateTime.fromISO('2021-11-01T00:30:00.000Z', {
        zone: 'utc',
      }),
      value: 0.34,
      state: DataloadState.VALID,
      valueDetail: null,
    },
    {
      date: DateTime.fromISO('2021-11-01T01:00:00.000Z', {
        zone: 'utc',
      }),
      value: 0.33,
      state: DataloadState.VALID,
      valueDetail: null,
    },
  ],
  weekend: [
    {
      date: DateTime.fromISO('2021-11-01T00:00:00.000Z', {
        zone: 'utc',
      }),
      value: 0.25,
      state: DataloadState.VALID,
      valueDetail: null,
    },
    {
      date: DateTime.fromISO('2021-11-01T00:30:00.000Z', {
        zone: 'utc',
      }),
      value: 0.24,
      state: DataloadState.VALID,
      valueDetail: null,
    },
    {
      date: DateTime.fromISO('2021-11-01T01:00:00.000Z', {
        zone: 'utc',
      }),
      value: 0.23,
      state: DataloadState.VALID,
      valueDetail: null,
    },
  ],
}

export const maxPowerData: MaxPowerEntity[] = [
  {
    load: 5.3,
    date: '20/11/2021',
  },
]
